using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class Generator : Interactable
{
    public AudioClip Source;
    public override void Interact()
    {
        GameManager.instance.gotGenerator = true;
        GameObject.Find("GeneratorObjective").GetComponent<TextMeshProUGUI>().color = Color.green;
        AudioSource.PlayClipAtPoint(Source,transform.position,1f);
        base.Interact();
    }
}
